1

I’m using a i386/amd64 multiarch on my freshly installed debian 8.7 . I just added it through dpkg --add-architecture i386 to install a package I couldn’t find in a amd64 version.

Then I installed the jessie-backports (375) version of my nvidia driver using the repository :

# jessie-backports
deb http://httpredir.debian.org/debian jessie-backports main contrib non-free

and this is what synaptic is giving me now :

Synaptic

I got all these nvidia packages installed twice, one for each architecture. Is this anything normal? Did I do something wrong during all this process ?

The really weird thing is that apt list --installed |grep nvidia is not even giving me the same answer :

ut@Albizia:~$ apt list --installed |grep nvidia

WARNING: apt does not have a stable CLI interface yet. Use with caution in scripts.

glx-alternative-nvidia/jessie-backports,now 0.7.3~bpo8+1 amd64  [installé, automatique]
libegl-nvidia0/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libegl1-glvnd-nvidia/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libgl1-glvnd-nvidia-glx/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libgl1-nvidia-glvnd-glx/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libgldispatch0-nvidia/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libgles-nvidia1/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libgles-nvidia2/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libgles1-glvnd-nvidia/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libgles2-glvnd-nvidia/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libglx-nvidia0/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libglx0-glvnd-nvidia/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libnvidia-cfg1/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libnvidia-eglcore/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libnvidia-glcore/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libnvidia-ml1/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
libopengl0-glvnd-nvidia/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
nvidia-alternative/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
nvidia-driver/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
nvidia-driver-bin/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
nvidia-driver-libs/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
nvidia-driver-libs-i386/jessie-backports,now 375.26-1~bpo8+1 i386  [installé, automatique]
nvidia-egl-common/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
nvidia-egl-icd/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
nvidia-installer-cleanup/jessie-backports,now 20151021+1~bpo8+1 amd64  [installé, automatique]
nvidia-kernel-common/jessie-backports,now 20151021+1~bpo8+1 amd64  [installé, automatique]
nvidia-kernel-dkms/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
nvidia-kernel-support/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
nvidia-legacy-check/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
nvidia-modprobe/jessie-backports,now 358.09-1~bpo8+1 amd64  [installé, automatique]
nvidia-persistenced/jessie-backports,now 358.09-1~bpo8+1 amd64  [installé, automatique]
nvidia-settings/jessie-backports,now 375.26-3~bpo8+1 amd64  [installé, automatique]
nvidia-support/jessie-backports,now 20151021+1~bpo8+1 amd64  [installé, automatique]
nvidia-vdpau-driver/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
nvidia-vulkan-common/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
nvidia-vulkan-icd/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé, automatique]
xserver-xorg-video-nvidia/jessie-backports,now 375.26-1~bpo8+1 amd64  [installé]

According to this, each package is installed just once. I don’t know whom to trust anymore.

1

Synaptic is right, you have a number of NVIDIA library packages installed for both amd64 and i386. This is normal: the NVIDIA driver package depends on nvidia-driver-libs, which itself recommends nvidia-driver-libs-i386 which pulls in the i386 libraries on amd64 (if you have the i386 architecture available). That way both amd64 and i386 binaries can use the libraries; this comes in handy for example if you want to run 32-bit games.

apt list only shows one architecture per installed package, so you'll only see the amd64 version of packages with both architectures installed.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.